Bug 1419881 - [RHV] For VM Provision, "None" string, used to indicate host/datastore, should be changed into "Automatic choice"
Summary: [RHV] For VM Provision, "None" string, used to indicate host/datastore, shoul...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.11.0
Assignee: Roberto Ciatti
QA Contact: Ilanit Stein
URL:
Whiteboard: provision:ui:rhev
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 10:17 UTC by Ilanit Stein
Modified: 2019-07-31 20:10 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 20:10:22 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)

Description Ilanit Stein 2017-02-07 10:17:56 UTC
Description of problem:
On RHV/VMWare, for VM provision/migration, under "Environment", in order to set that   host/datastore will be chosen automatically, by CFME, the string "None" should be marked (also marked by default).
Using the string "None" seem confusing.
Would you please change that into a more clear word, like "Automatic choice"  

Version-Release number of selected component (if applicable):
CFME-5.7.1.0

Comment 2 Oved Ourfali 2017-02-08 05:51:33 UTC
As far as I understand this is actually relevant in many flows, so not RHEV-M related. 
Moving to core.

Comment 4 Greg McCullough 2017-04-12 22:02:23 UTC
Ilanit - This feels like it needs to be more than one ticket, but let me first try to clarify the current approach.

For provisioning on either VMware or RHV "none" does not directly translate to "Automatic choice".  In the default automate state-machine nothing will be selected and we have dialog validations in place to prevent it from being submitted with an invalid configuration.  Since the dialogs and state-machines are both customizable you could configure it to work this way but I do not see a way to protect this in all cases.

In my opinion changing provisioning for VMWare to ""Automatic choice" is incorrect, but this may be appropriate for RHV.

Migration is a completely different processing and mixing it into this ticket only servers to complicate the issue.  In either the RHV or VMware case I see this simply as a "nothing is selected" and the backing provider deals with what this means.

Provisioning is broken down into individual workflows and dialogs for VMware and RHV and if you want to address this issue for those providers I would request that you create separate tickets for each.

For Migration the back-end is currently not split and we could try to use a single ticket to address your concerns.

Comment 5 Ilanit Stein 2017-04-18 08:19:43 UTC
Greg,

Thank you for clarifying this.

For VM provision, 
I am turning this bug into RHV only, VM provision - string change to Auto placement. 

For Migration,
we have this other ticket, for RHV & VMware:
Bug 1422961 - "VM Migrate doesn't have Mandatory Fields to fill in"

Comment 6 Greg McCullough 2017-04-18 15:01:39 UTC
Sending to UI to review as the back-end is not setting this value.  Currently I do not think the UI does separate processing depending on the provider type.

Comment 8 Ilanit Stein 2017-05-03 06:57:13 UTC
IMHO, "None/Automatic" string seem more confusing.

If for VMware A host must be chosen, maybe this "None" option can be removed at all, and the host then will be chosen (the first host on the list for example),
and the user has the option to change it as he wishes to.
Moving it to PM to decide:

Moran,
Can you please decide what is your preference here?

Comment 9 Moran Goldboim 2017-05-23 07:48:30 UTC
(In reply to Ilanit Stein from comment #8)
> IMHO, "None/Automatic" string seem more confusing.
> 
> If for VMware A host must be chosen, maybe this "None" option can be removed
> at all, and the host then will be chosen (the first host on the list for
> example),
> and the user has the option to change it as he wishes to.
> Moving it to PM to decide:
> 
> Moran,
> Can you please decide what is your preference here?

Illanit, thanks for summarizing it.
I think it really depends on which component/product we are putting the choice of automatically choose the host to migrate to. if we go with RHV/VMware to take this decisions i would go with the None/Automatic approach, at least from RHV side there is a consideration on the host workload and it's not chosen arbitrarily.
on the other hand we can examine the approach that in the future, that CloudForms will take this decision based on policy and C&U. for example- what happens today when we want to migrate a VM but not all hosts in the cluster answers the compliance/tagging for this VM from CF standpoint?

Comment 10 Greg McCullough 2017-09-29 17:01:21 UTC
John - Can you please weigh in here.

I think if we want to do this we will need to add a new property to the fields as today the UI is setting the "None" string.  The UI would need to be changed to look for this new property or default to "None".

As I mentioned earlier "I see this simply as a "nothing is selected"" item, not "nothing will be used".

I also do not think we should pre-select the fields as a user may submit the request without actually evaluating these important selections.  If you really want this type of option you should change the "Choose Automatically" field to default to true.  This is something users can do today and I would not change the out-of-the-box setting.

Comment 11 Greg McCullough 2018-06-08 21:34:45 UTC
Switching PM needinfo from John to Brad.


Note You need to log in before you can comment on or make changes to this bug.